%global pypi_name oslo-serialization
%global srcname oslo_serialization

Name:           python-%{pypi_name}
Version:        5.7.0
Release:        %mkrel 2
Summary:        OpenStack OSLO Serialization

Group:          Development/Python
License:        MIT
URL:            https://github.com/openstack/oslo.serialization
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
The oslo.serialization library contain utilities for working with
serialization features.

%package -n     python3-%{pypi_name}
Summary:        OpenStack OSLO Serialization
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The oslo.serialization library contain utilities for working with
serialization features.

%prep
%autosetup -n %{srcname}-%{version} -p1


# Loosen reqs
perl -pi -e 's/!=2.1.0,//g' requirements.txt

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files oslo_serialization

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc AUTHORS ChangeLog CONTRIBUTING.rst README.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 5.7.0-2.mga10
+ Revision: 2241768
- Mageia 10 Mass Rebuild

* Mon Mar 03 2025 daviddavid <daviddavid> 5.7.0-1.mga10
+ Revision: 2159077
- new version: 5.7.0

* Mon Mar 03 2025 daviddavid <daviddavid> 5.5.0-1.mga10
+ Revision: 2159059
- new version: 5.5.0
- rebuild for python 3.13

* Mon Jan 22 2024 papoteur <papoteur> 5.2.0-1.mga10
+ Revision: 2033597
- relax requirements on pbr
- new version 5.2.0

* Mon Nov 21 2022 bcornec <bcornec> 5.0.0-1.mga9
+ Revision: 1909884
- Update to upstream python-oslo-serialization 5.0.0

* Mon Aug 01 2022 bcornec <bcornec> 4.3.0-1.mga9
+ Revision: 1874136
- Update to upstream 4.3.0

* Thu Mar 24 2022 umeabot <umeabot> 4.2.0-3.mga9
+ Revision: 1825025
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 4.2.0-2.mga9
+ Revision: 1783446
- rebuild for python-3.10

* Sat Sep 04 2021 wally <wally> 4.2.0-1.mga9
+ Revision: 1744289
- new version 4.2.0

* Sat Jun 26 2021 wally <wally> 4.0.0-2.mga9
+ Revision: 1732388
- Rebuild for python 3.9

* Mon Aug 10 2020 bcornec <bcornec> 4.0.0-1.mga8
+ Revision: 1612810
- update to upstream python-oslo-serialization 4.0.0

* Fri Jul 24 2020 wally <wally> 2.28.1-6.mga8
+ Revision: 1608665
- add patch to remove boolean deps

* Fri Jul 24 2020 ovitters <ovitters> 2.28.1-5.mga8
+ Revision: 1608643
- rebuild for getting rid of rich dependency

* Thu Jul 23 2020 ovitters <ovitters> 2.28.1-4.mga8
+ Revision: 1608290
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 2.28.1-3.mga8
+ Revision: 1535590
- Mageia 8 Mass Rebuild

* Sun Oct 13 2019 tv <tv> 2.28.1-2.mga8
+ Revision: 1452481
- rebuild for python-3.8
- drop python2 subpkg

* Wed Jan 09 2019 shlomif <shlomif> 2.28.1-1.mga7
+ Revision: 1353625
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 2.24.0-2.mga7
+ Revision: 1289504
- Mageia 7 Mass Rebuild

* Sat Feb 10 2018 daviddavid <daviddavid> 2.24.0-1.mga7
+ Revision: 1199996
- new version: 2.24.0
- port to msgpack
- rename python-oslo-serialization to python2-oslo-serialization

* Wed Oct 04 2017 tv <tv> 2.13.0-3.mga7
+ Revision: 1168592
- BR pythonX-pbr thus fixing build

* Sat Aug 05 2017 pterjan <pterjan> 2.13.0-2.mga7
+ Revision: 1135531
- Rebuild for python 3.6

* Mon Jan 02 2017 bcornec <bcornec> 2.13.0-1.mga6
+ Revision: 1079656
- Update to upstream python-oslo-serialization 2.12.0

* Fri Aug 26 2016 bcornec <bcornec> 2.4.0-1.mga6
+ Revision: 1048966
- update to upstream python-oslo-serialization 2.4.0

* Fri Dec 18 2015 daviddavid <daviddavid> 2.1.0-1.mga6
+ Revision: 911561
- new version: 2.1.0

* Wed Oct 14 2015 daviddavid <daviddavid> 1.8.0-2.mga6
+ Revision: 891101
- add python3 package
- use new python macros
- add doc files

* Sun Aug 30 2015 fwang <fwang> 1.8.0-1.mga6
+ Revision: 871301
- 1.8.0

* Mon Feb 23 2015 bcornec <bcornec> 1.3.0-1.mga5
+ Revision: 816655
- Update to upstream 1.3.0
- Upload python oslo components for python keystone client support
- Created package structure for python-oslo-serialization.

